TARGET = iem_dp

all: ..\$(TARGET).dll

VIS_CPP_PATH = "C:\Programme\Microsoft Visual Studio\Vc98"

PD_INST_PATH = "C:\Programme\pd"

PD_WIN_INCLUDE_PATH = /I. /I$(PD_INST_PATH)\src /I$(VIS_CPP_PATH)\include

PD_WIN_C_FLAGS = /nologo /W3 /WX /DMSW /DNT /DPD /DWIN32 /DWINDOWS /Ox -DPA_LITTLE_ENDIAN

PD_WIN_L_FLAGS = /nologo

PD_WIN_LIB = /NODEFAULTLIB:libc /NODEFAULTLIB:oldnames /NODEFAULTLIB:kernel /NODEFAULTLIB:uuid \
	$(VIS_CPP_PATH)\lib\libc.lib \
	$(VIS_CPP_PATH)\lib\oldnames.lib \
	$(VIS_CPP_PATH)\lib\kernel32.lib \
	$(VIS_CPP_PATH)\lib\wsock32.lib \
	$(VIS_CPP_PATH)\lib\winmm.lib \
	$(PD_INST_PATH)\bin\pd.lib


SRC =	symtodp.c \
	dptosym.c \
	dptohex.c \
	ftohex.c \
	vline~~.c \
	samphold~~.c \
	wrap~~.c \
	phasor~~.c \
	print~~.c \
	add__.c \
	sub__.c \
	mul__.c \
	div__.c \
	add~~.c \
	sub~~.c \
	mul~~.c \
	div~~.c \
  	tabwrite_dp.c \
	tabread_dp.c \
	tabread4_dp.c \
	tabwrite~~.c \
	tabread~~.c \
	tabread4~~.c \
	max__.c \
	min__.c \
	max~~.c \
	min~~.c \
	random__.c \
	delay~~.c \
	$(TARGET).c


OBJ = $(SRC:.c=.obj)

.c.obj:
	cl $(PD_WIN_C_FLAGS) $(PD_WIN_INCLUDE_PATH) /c $*.c

..\$(TARGET).dll: $(OBJ)
	link $(PD_WIN_L_FLAGS) /dll /export:$(TARGET)_setup \
	/out:..\$(TARGET).dll $(OBJ) $(PD_WIN_LIB)

clean:
	del *.obj
